## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csWin32RegistryIterator Class Reference

Iterates over a registry key subkeys and values. More...

`#include <csutil/win32/registrycfg.h>`

Inheritance diagram for csWin32RegistryIterator:

[legend]
List of all members.

## Public Member Functions

virtual bool | GetBool () const
| Get a boolean value from the configuration.
virtual const char * | GetComment () const
| Get the comment of the given key, or 0 if no comment exists.
virtual iConfigFile * | GetConfigFile () const
| Returns the configuration object for this iterator.
virtual float | GetFloat () const
| Get a float value from the configuration.
virtual int | GetInt () const
| Get an integer value from the configuration.
virtual const char * | GetKey (bool Local=false) const
| Get the current key name.
virtual const char * | GetStr () const
| Get a string value from the configuration.
virtual const char * | GetSubsection () const
| Returns the subsection in the configuration.
virtual bool | Next ()
| Move to the next valid key. Returns false if no more keys exist.
virtual void | Rewind ()
| Rewind the iterator (points to nowhere after this).

## Detailed Description

Iterates over a registry key subkeys and values.

Remarks:
  This class provides functionality specific to the Win32 platform. To ensure that code using this functionality compiles properly on all other platforms, the use of the interface and inclusion of the header file should be surrounded by appropriate '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 160 of file registrycfg.h.

## Member Function Documentation

virtual bool csWin32RegistryIterator::GetBool | ( |  | ) | const`[virtual]`

| Get a boolean value from the configuration. Implements iConfigIterator.

virtual const char* csWin32RegistryIterator::GetComment | ( |  | ) | const`[virtual]`

| Get the comment of the given key, or 0 if no comment exists. Implements iConfigIterator.

virtual iConfigFile* csWin32RegistryIterator::GetConfigFile | ( |  | ) | const`[virtual]`

| Returns the configuration object for this iterator. Implements iConfigIterator.

virtual float csWin32RegistryIterator::GetFloat | ( |  | ) | const`[virtual]`

| Get a float value from the configuration. Implements iConfigIterator.

virtual int csWin32RegistryIterator::GetInt | ( |  | ) | const`[virtual]`

| Get an integer value from the configuration. Implements iConfigIterator.

virtual const char* csWin32RegistryIterator::GetKey | ( | bool | Local = `false` | ) | const`[virtual]`

| Get the current key name. Set Local to true to return only the local name inside the iterated subsection. This is the portion of the key string which follows the subsection prefix which was used to create this iterator. Implements iConfigIterator.

virtual const char* csWin32RegistryIterator::GetStr | ( |  | ) | const`[virtual]`

| Get a string value from the configuration. Implements iConfigIterator.

virtual const char* csWin32RegistryIterator::GetSubsection | ( |  | ) | const`[virtual]`

| Returns the subsection in the configuration. Implements iConfigIterator.

virtual bool csWin32RegistryIterator::Next | ( |  | ) | `[virtual]`

| Move to the next valid key. Returns false if no more keys exist. Implements iConfigIterator.

virtual void csWin32RegistryIterator::Rewind | ( |  | ) | `[virtual]`

| Rewind the iterator (points to nowhere after this). Implements iConfigIterator.

The documentation for this class was generated from the following file:

- csutil/win32/registrycfg.h